Subject: bug#13010: 24.2; Gnus hangs getting mail

From: Stefan Monnier <[email-masked]>
Date: Thu, 03 Jan 2013 11:52:58 -0500

>> But we still only need one message per backend: basically every time
>> a backend ends, state either which backend ended or which backends are
>> still busy.
> I don't really see that helping much.  When opening the server, that may
> take time, so we should say "Opening imap.gmail.com".  Then we probably
> open a different server.  Then we issue commands to Gmail, which may
> hang, so we should say "Retrieving group data from imap.gmail.com".
> Then we issue similar commands to other servers.  Then we wait for the
> data from Gmail, which will most likely block, so we should say "Waiting
> for data from imap.gmail.com".

My suggestion was to only do it when a backend finishes and not to do it
at the level of "backend command" but at a higher level (so when you hit
"g" in the *Groups* buffer, you'd get N messages if you have
N backends).

        Stefan